Skip to content
POST/{organizationId}/{mandateId}/finance/accounts/import/datev

Import debt/cred from Datev

Imports debtors or creditors from a Datev "Debitoren-/Kreditoren" CSV file for given mandate

Required permissions:

  • mandate.read

  • debtor.insert

  • debtor.edit

  • creditor.insert

  • creditor.edit

Path Parameters

mandateIdstringrequired
organizationIdstringrequired

Request Body required

Content-Type: application/json

csvStringstringrequired

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/accounts/import/datev
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/accounts/import/datev' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "csvString": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

successbooleanrequired
updatedintegerrequired

minimum: 0

maximum: 9007199254740991

addedintegerrequired

minimum: 0

maximum: 9007199254740991

Response

200
{
  "invalidRows": [
    {
      "row": -9007199254740991,
      "cell": "string",
      "value": "string"
    }
  ],
  "success": true,
  "updated": 0,
  "added": 0
}

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}